<div dir="ltr">I installed a fresh version of apache on a new centos 7, after the error I manually ¬†installed the ¬†<span style="font-size:12.8px">Data::UUID module from yum and after that from source but I got the same error.</span><div><span style="font-size:12.8px"><br></span></div><div><span style="font-size:12.8px">This is the rt.log using debug:</span></div><div><span style="font-size:12.8px"><br></span></div><div><div style="font-size:12.8px">Tue Nov 10 12:56:53.844353 2015] [core:notice] [pid 5852] AH00094: Command line: '/usr/sbin/httpd -D FOREGROUND'</div><div style="font-size:12.8px">[5886] [Tue Nov 10 17:57:03 2015] [critical]: Can't locate loadable object for module Data::UUID in @INC (@INC contains: /opt/rt4/sbin/../local/lib /opt/rt4/sbin/../lib /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/local/lib64/perl5/Data/GUID.pm line 10.</div><div style="font-size:12.8px">Compilation failed in require at /usr/local/lib64/perl5/Data/GUID.pm line 10.</div><div style="font-size:12.8px">BEGIN failed--compilation aborted at /usr/local/lib64/perl5/Data/GUID.pm line 10.</div></div><div style="font-size:12.8px"><br></div><div style="font-size:12.8px"><br></div></div><div class="gmail_extra"><br><div class="gmail_quote">On Thu, Nov 19, 2015 at 12:20 PM, Parish, Brent <span dir="ltr"><<a href="mailto:bparish@cognex.com" target="_blank">bparish@cognex.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">I don't have any super advice here, just throwing out some ideas in case it helps.<br>
<br>
I don't see Data::UUID in the Perl requirements for RT?<br>
It looks instead to be something needed by Apache, for ModPerl or FCGI?<br>
<br>
Tough to say without being on the system, but from what I understand it's not missing Data::UUID itself, but rather an object associated with it (e.g. shared object, etc)?<br>
That can happen if you copied over any of the libs instead of installing them?<br>
<br>
I wonder what might happen if you do a 'forced' full re-install of Data::UUID?<br>
Or maybe there are some leftover pointers to an older version of the shared objects?<br>
e.g. If Apache was copied over and not upgraded, etc<br>
<br>
Did you get that error from the Apache logs and are they cranked up to debug level?<br>
Are there other error lines nearby in the log(s) that might have more details?<br>
<span class="HOEnZb"><font color="#888888"><br>
- Brent<br>
</font></span><div class="HOEnZb"><div class="h5"><br>
<br>
-----Original Message-----<br>
From: rt-users [mailto:<a href="mailto:rt-users-bounces@lists.bestpractical.com">rt-users-bounces@lists.bestpractical.com</a>] On Behalf Of Matt Zagrabelny<br>
Sent: Monday, November 16, 2015 11:39 AM<br>
To: Gerald Jimenez<br>
Cc: rt-users<br>
Subject: Re: [rt-users] Fwd: Request tracker<br>
<br>
On Mon, Nov 16, 2015 at 10:36 AM, Gerald Jimenez <<a href="mailto:gejimene@gmail.com">gejimene@gmail.com</a>> wrote:<br>
><br>
> Hi,<br>
><br>
> I have request tracker installed on a centos 6 server but now I need<br>
> to update my server to centos 7.<br>
> I have tried to install request tracker 4.2 to my centos 7 server but<br>
> after sucessfully finished the installation the web page of rt doesnt<br>
> load and I got this error "Can't locate loadable object for module Data::UUID in @INC".<br>
<br>
Do you have that module installed?<br>
<br>
-m<br>
</div></div></blockquote></div><br></div>